Package org.lwjgl.opengles

# Class APPLESync

java.lang.Object
org.lwjgl.opengles.APPLESync

public final class APPLESync extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONDITION_SATISFIED_APPLE`
Returned by ClientWaitSyncAPPLE:
`static final int`
`GL_ALREADY_SIGNALED_APPLE`
Returned by ClientWaitSyncAPPLE:
`static final int`
`GL_MAX_SERVER_WAIT_TIMEOUT_APPLE`
Accepted as the <pname> parameter of GetInteger64vAPPLE:
`static final int`
`GL_OBJECT_TYPE_APPLE`
Accepted as the <pname> parameter of GetSyncivAPPLE:
`static final int`
`GL_SYNC_FENCE_APPLE`
Returned in <values> for GetSynciv <pname> OBJECT_TYPE_APPLE:
`static final int`
`GL_SYNC_FLUSH_COMMANDS_BIT_APPLE`
Accepted in the <flags> parameter of ClientWaitSyncAPPLE:
`static final int`
`GL_SYNC_GPU_COMMANDS_COMPLETE_APPLE`
Returned in <values> for GetSyncivAPPLE <pname> SYNC_CONDITION_APPLE:
`static final int`
`GL_SYNC_OBJECT_APPLE`
Accepted by the <type> parameter of LabelObjectEXT and GetObjectLabelEXT:
`static final long`
`GL_TIMEOUT_IGNORED_APPLE`
Accepted in the <timeout> parameter of WaitSyncAPPLE:
`static final int`
`GL_UNSIGNALED_APPLE`
Returned in <values> for GetSyncivAPPLE <pname> SYNC_STATUS_APPLE:
`static final int`
`SIGNALED_APPLE`
Returned in <values> for GetSyncivAPPLE <pname> SYNC_STATUS_APPLE:
`static final int`
`SYNC_CONDITION_APPLE`
Accepted as the <pname> parameter of GetSyncivAPPLE:
`static final int`
`SYNC_FLAGS_APPLE`
Accepted as the <pname> parameter of GetSyncivAPPLE:
`static final int`
`SYNC_STATUS_APPLE`
Accepted as the <pname> parameter of GetSyncivAPPLE:
`static final int`
`TIMEOUT_EXPIRED_APPLE`
Returned by ClientWaitSyncAPPLE:
`static final int`
`WAIT_FAILED_APPLE`
Returned by ClientWaitSyncAPPLE:

## Method Summary

Modifier and Type
Method
Description
`static int`
`glClientWaitSyncAPPLE(GLSync sync, int flags, long timeout)`
`static void`
`glDeleteSyncAPPLE(GLSync sync)`
`static GLSync`
`glFenceSyncAPPLE(int condition, int flags)`
`static long`
`glGetInteger64APPLE(int pname)`
Overloads glGetInteger64vAPPLE.
`static void`
`glGetInteger64APPLE(int pname, LongBuffer params)`
`static void`
`glGetSyncAPPLE(GLSync sync, int pname, IntBuffer length, IntBuffer values)`
`static int`
`glGetSynciAPPLE(GLSync sync, int pname)`
Overloads glGetSyncivAPPLE.
`static boolean`
`glIsSyncAPPLE(GLSync sync)`
`static void`
`glWaitSyncAPPLE(GLSync sync, int flags, long timeout)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_MAX_SERVER_WAIT_TIMEOUT_APPLE

public static final int GL_MAX_SERVER_WAIT_TIMEOUT_APPLE
Accepted as the <pname> parameter of GetInteger64vAPPLE:

See Also:
  - Constant Field Values

### GL_OBJECT_TYPE_APPLE

public static final int GL_OBJECT_TYPE_APPLE
Accepted as the <pname> parameter of GetSyncivAPPLE:

See Also:
  - Constant Field Values

### SYNC_CONDITION_APPLE

public static final int SYNC_CONDITION_APPLE
Accepted as the <pname> parameter of GetSyncivAPPLE:

See Also:
  - Constant Field Values

### SYNC_STATUS_APPLE

public static final int SYNC_STATUS_APPLE
Accepted as the <pname> parameter of GetSyncivAPPLE:

See Also:
  - Constant Field Values

### SYNC_FLAGS_APPLE

public static final int SYNC_FLAGS_APPLE
Accepted as the <pname> parameter of GetSyncivAPPLE:

See Also:
  - Constant Field Values

### GL_SYNC_FENCE_APPLE

public static final int GL_SYNC_FENCE_APPLE
Returned in <values> for GetSynciv <pname> OBJECT_TYPE_APPLE:

See Also:
  - Constant Field Values

### GL_SYNC_GPU_COMMANDS_COMPLETE_APPLE

public static final int GL_SYNC_GPU_COMMANDS_COMPLETE_APPLE
Returned in <values> for GetSyncivAPPLE <pname> SYNC_CONDITION_APPLE:

See Also:
  - Constant Field Values

### GL_UNSIGNALED_APPLE

public static final int GL_UNSIGNALED_APPLE
Returned in <values> for GetSyncivAPPLE <pname> SYNC_STATUS_APPLE:

See Also:
  - Constant Field Values

### SIGNALED_APPLE

public static final int SIGNALED_APPLE
Returned in <values> for GetSyncivAPPLE <pname> SYNC_STATUS_APPLE:

See Also:
  - Constant Field Values

### GL_SYNC_FLUSH_COMMANDS_BIT_APPLE

public static final int GL_SYNC_FLUSH_COMMANDS_BIT_APPLE
Accepted in the <flags> parameter of ClientWaitSyncAPPLE:

See Also:
  - Constant Field Values

### GL_TIMEOUT_IGNORED_APPLE

public static final long GL_TIMEOUT_IGNORED_APPLE
Accepted in the <timeout> parameter of WaitSyncAPPLE:

See Also:
  - Constant Field Values

### GL_ALREADY_SIGNALED_APPLE

public static final int GL_ALREADY_SIGNALED_APPLE
Returned by ClientWaitSyncAPPLE:

See Also:
  - Constant Field Values

### TIMEOUT_EXPIRED_APPLE

public static final int TIMEOUT_EXPIRED_APPLE
Returned by ClientWaitSyncAPPLE:

See Also:
  - Constant Field Values

### CONDITION_SATISFIED_APPLE

public static final int CONDITION_SATISFIED_APPLE
Returned by ClientWaitSyncAPPLE:

See Also:
  - Constant Field Values

### WAIT_FAILED_APPLE

public static final int WAIT_FAILED_APPLE
Returned by ClientWaitSyncAPPLE:

See Also:
  - Constant Field Values

### GL_SYNC_OBJECT_APPLE

public static final int GL_SYNC_OBJECT_APPLE
Accepted by the <type> parameter of LabelObjectEXT and GetObjectLabelEXT:

See Also:
  - Constant Field Values

## Method Details

### glFenceSyncAPPLE

public static GLSync glFenceSyncAPPLE(int condition, int flags)

### glIsSyncAPPLE

public static boolean glIsSyncAPPLE(GLSync sync)

### glDeleteSyncAPPLE

public static void glDeleteSyncAPPLE(GLSync sync)

### glClientWaitSyncAPPLE

public static int glClientWaitSyncAPPLE(GLSync sync, int flags, long timeout)

### glWaitSyncAPPLE

public static void glWaitSyncAPPLE(GLSync sync, int flags, long timeout)

### glGetInteger64APPLE

public static void glGetInteger64APPLE(int pname, LongBuffer params)

### glGetInteger64APPLE

public static long glGetInteger64APPLE(int pname)
Overloads glGetInteger64vAPPLE.

### glGetSyncAPPLE

public static void glGetSyncAPPLE(GLSync sync, int pname, IntBuffer length, IntBuffer values)

### glGetSynciAPPLE

public static int glGetSynciAPPLE(GLSync sync, int pname)
Overloads glGetSyncivAPPLE.